## openjdk-11 11.0.4%2B11

=== make/devkit/Makefile ===
#
# Copyright (c) 2013, 2018, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

################################################################################
#
# This Makefile, together with Tools.gmk, can be used to compile a set of
# gcc based cross compilation, portable, self contained packages, capable
# of building OpenJDK.
#
# In addition to the makefiles, access to Oracle Linux installation
# media is required. This has been tested against Oracle Enterprise Linux
# 6.4.
#
# By default this Makefile will build a native toolchain for the current
# platform if called with something like this:
#
# make tars BASE_OS=OEL6
#
# To build the full set of crosstools for additional platforms, use a command
# line looking like this:
#
# make cross_compile_target="aarch64-linux-gnu" BASE_OS=Fedora27
# or
# make cross_compile_target="arm-linux-gnueabihf" BASE_OS=Fedora27
#
# This is the makefile which iterates over all host and target platforms.
#

os := $(shell uname -o)
cpu := $(shell uname -p)

# Figure out what platform this is building on.
me := $(cpu)-$(if $(findstring Linux,$(os)),unknown-linux-gnu)

$(info Building on platform $(me))

#
# By default just build for the current platform, which is assumed to be Linux
#
ifeq ($(cross_compile_target), )
  platforms := $(me)
  host_platforms := $(platforms)
else
  platforms := $(cross_compile_target)
  host_platforms := $(me)
endif
target_platforms := $(platforms)
$(info host_platforms $(host_platforms))
$(info target_platforms $(target_platforms))

all compile : $(platforms)

ifeq (,$(SKIP_ME))
  $(foreach p,$(filter-out $(me),$(platforms)),$(eval $(p) : $$(me)))
endif

OUTPUT_ROOT = $(abspath ../../build/devkit)
RESULT = $(OUTPUT_ROOT)/result

submakevars = HOST=$@ BUILD=$(me) \
    RESULT=$(RESULT) PREFIX=$(RESULT)/$@ \
    OUTPUT_ROOT=$(OUTPUT_ROOT)
$(host_platforms) :
	@echo 'Building compilers for $@'
	@echo 'Targets: $(target_platforms)'
	for p in $(filter $@, $(target_platforms)) $(filter-out $@, $(target_platforms)); do \
	  $(MAKE) -f Tools.gmk download-rpms $(submakevars) TARGET=$$p && \
	  $(MAKE) -f Tools.gmk all $(submakevars) \
	      TARGET=$$p || exit 1 ; \
	done
	@echo 'Building ccache program for $@'
	$(MAKE) -f Tools.gmk ccache $(submakevars) TARGET=$@
	@echo 'All done"'

today := $(shell date +%Y%m%d)

define Mktar
  $(1)_tar = $$(RESULT)/sdk-$(1)-$$(today).tar.gz
  $$($(1)_tar) : PLATFORM = $(1)
  TARFILES += $$($(1)_tar)
  $$($(1)_tar) : $(1) $$(shell find $$(RESULT)/$(1))
endef

$(foreach p,$(host_platforms),$(eval $(call Mktar,$(p))))

tars : all $(TARFILES)
onlytars : $(TARFILES)
%.tar.gz :
	@echo 'Creating compiler package $@'
	cd $(RESULT)/$(PLATFORM) && tar -czf $@ *
	touch $@

clean :
	rm -rf $(addprefix ../../build/devkit/, result $(host_platforms))
dist-clean: clean
	rm -rf $(addprefix ../../build/devkit/, src download)

FORCE :
.PHONY : all compile tars $(configs) $(host_platforms) clean dist-clean

## openjdk-11 11.0.1+13

=== debian/changelog ===
openjdk-11 (11.0.1+13-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 31 Oct 2018 15:18:06 -0700

openjdk-11 (11.0.1+13-2) unstable; urgency=high

  * OpenJDK 11.0.1 release.

  [ Tiago Stürmer Daitx ]
  * debian/rules:
    - limit the tests that we run for the hotspot, langtools,
      and jdk testsuites to improve build times and also to
      prevent running unstable or failing tests.
    - fix 'if' clause for definition of the TIME command.
    - remove guava jar from test classpath, no longer required.
  * debian/control, debian/control.in: add a breaks clause to
    clojure1.8 <= 1.8.0-7ubuntu1~.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Oct 2018 09:31:38 +0200

openjdk-11 (11~28-3) unstable; urgency=medium

  * Build-depend on testng.
  * Drop the jdk-freetypeScaler-crash patch. Closes: #905718.
  * Don't run the tests on armel and mips*. Either too slow, or even
    crashing the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Oct 2018 04:24:27 +0200

openjdk-11 (11~28-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Configure --with-jvm-features=zgc on amd64. Closes: #909560.

  [ Tiago Stürmer Daitx ]
  * debian/rules: by default leave atk disabled, move accessibility bridge to
    recommends. LP: #1788250. LP: #1788267.
  * debian/control.in, debian/control: move accessibility bridge to
    recommends, add testng and libguava-java as build dependencies.
  * debian/rules:
    - copy accessibility files to conf/ (thanks to Samuel Thibault).
    - update test rules, set output to jtreg-test-output/ as test/ belongs
      to openjdk source, add jaxp and nashorn, use ProblemList.txt from
      each testsuite as the exclude list for jtreg, update regex to include
      into the tarball failed jcstress tests in the Test.java#id123 format,
      create a tarball with the JTreport directory, add guava jar file to
      the test classpath.
  * debian/excludelist.jdk.jtx, excludelist.langtools.jtx: removed, tests
    now rely on the ProblemList.txt exclusion list that is included in-tree
    and maintained upstream.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Sep 2018 18:14:28 +0200

openjdk-11 (11~28-1) unstable; urgency=medium

  * OpenJDK 11 build 27.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Sep 2018 14:37:49 +0200

openjdk-11 (11~27-1) unstable; urgency=medium

  * OpenJDK 11 build 27.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 20 Aug 2018 11:30:22 +0200

openjdk-11 (11~24-1) unstable; urgency=medium

  * OpenJDK 11 build 24.
  * jhsdb is not available on ia64 and m68k either.
  * Update the m68k support (Adrian Glaubitz). Closes: #904204.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Jul 2018 05:41:39 +0200

openjdk-11 (11~23-1) unstable; urgency=medium

  * OpenJDK 11 build 23.
  * Explicitly build-depend on libfontconfig1-dev, explicitly depend
    on libfontconfig1. LP: #1780151.
  * jhsdb is not available on armel, mipsel and mips64el. Closes: #903631.
  * Build using GCC 8.
  * Configure with --with-native-debug-symbols=internal.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 20:03:05 +0200

openjdk-11 (11~22-2) unstable; urgency=medium

  * jhsdb is not available on mips.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Jul 2018 07:48:13 +0200

openjdk-11 (11~22-1) unstable; urgency=medium

  * OpenJDK 11 build 22.
  * jhsdb is not available on powerpc, s390x and x32.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jul 2018 17:00:12 +0200

openjdk-11 (11~21-2) unstable; urgency=medium

  * jaotc is only available on amd64 and arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Jul 2018 08:22:34 +0200

openjdk-11 (11~21-1) unstable; urgency=medium

  * OpenJDK 11 build 21.
  * Fix the jre/jdk split again.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Jul 2018 07:10:53 +0200

openjdk-11 (11~19-1) unstable; urgency=medium

  * OpenJDK 11 build 19.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Jun 2018 11:04:39 +0200

openjdk-11 (11~18-2) unstable; urgency=medium

  * Fix the parallel build with multiple VM variants.
  * Fix installation of the jre binaries. Closes: #901674.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jun 2018 06:17:22 +0200

openjdk-11 (11~18-1) unstable; urgency=medium

  * OpenJDK 11 build 18.
  * Apply fix to build on sparc64. Closes: #901410.
  * Build again the client VM on i386, limiting parallel make to two cores.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Jun 2018 14:09:40 +0200

openjdk-11 (11~17-2) unstable; urgency=medium

  * Don't build the client VM on i386, fails since build 16.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Jun 2018 21:03:00 +0200

openjdk-11 (11~17-1) unstable; urgency=medium

  * OpenJDK 11 build 17.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Jun 2018 21:14:46 +0200

openjdk-11 (11~16-1) unstable; urgency=medium

  * OpenJDK 11 build 16.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Jun 2018 13:21:38 +0200

openjdk-11 (11~15-1) unstable; urgency=medium

  * OpenJDK 11 build 15.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 May 2018 10:57:30 +0200

openjdk-11 (11~13-2) unstable; urgency=medium

  * Stop shipping the appletviewer binary.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 May 2018 20:09:17 -0400

openjdk-11 (11~13-1) unstable; urgency=medium

  * OpenJDK 11 build 13.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 May 2018 14:41:09 -0400

openjdk-11 (11~12-1) unstable; urgency=medium

  * OpenJDK 11 build 12.
  * Fix ftbfs on powerpcspe, adjusting the MIN_FLOAT constant (Adrian Glaubitz).
    Addresses: #897334.
  * Remove classes.jsa files on package removal. Addresses: #897411.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 May 2018 17:31:20 +0200

openjdk-11 (11~11-2) unstable; urgency=medium

  * Drop the alternative build dependency on OpenJDK 9.
  * Fix again the build on x32, not passing -m32 to the compiler.
  * Restore parts of the mips-sigset patch which are not yet upstream.



=== debian/control ===
Source: openjdk-11
Section: java
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Uploaders: Matthias Klose <doko@ubuntu.com>
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14),
  m4, lsb-release, zip, unzip,
  sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
  autoconf, automake, autotools-dev, ant, ant-optional,
  g++-6,
  openjdk-10-jdk-headless | openjdk-11-jdk-headless,
  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libgtk-3-dev, libelf-dev, libfontconfig1-dev,
  libffi-dev,
  zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,  
  libnss3-dev (>= 2:3.17.1),
  jtreg (>= 4.2-b10-1~), xvfb, xauth, xfonts-base, libgl1-mesa-dri [!x32], twm | metacity, twm | dbus-x11, x11-xkb-utils,
  testng, time, openjdk-11-jdk-headless <cross>,
Build-Depends-Indep: graphviz, pandoc,
Standards-Version: 4.2.1
Homepage: http://openjdk.java.net/
Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/openjdk11
Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/openjdk11

Package: openjdk-11-jdk-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Suggests: openjdk-11-demo, openjdk-11-source
Provides: java-sdk-headless, java2-sdk-headless,
  java5-sdk-headless, java6-sdk-headless,
  java7-sdk-headless, java8-sdk-headless,
  java9-sdk-headless, java10-sdk-headless,
  java11-sdk-headless, java-compiler
Conflicts: openjdk-11-jre-headless (<< 11~19-2)
Replaces: openjdk-11-jre-headless (<< 11~19-2)
Description: OpenJDK Development Kit (JDK) (headless)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-11-jre-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends},
  ${jcommon:Depends}, ${dlopenhl:Depends},
  ${mountpoint:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenhl:Recommends}
Suggests: libnss-mdns,
  fonts-dejavu-extra,
  fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei | fonts-wqy-zenhei, fonts-indic,
Provides: java-runtime-headless, java2-runtime-headless,
  java5-runtime-headless, java6-runtime-headless,
  java7-runtime-headless, java8-runtime-headless,
  java9-runtime-headless, java10-runtime-headless,
  java11-runtime-headless,
  ${defaultvm:Provides}, ${jvm:Provides}
Breaks: clojure1.8 (<= 1.8.0-7ubuntu1~)
Conflicts: oracle-java11-installer, openjdk-11-jdk-headless (<< 11~18-2)
Replaces: openjdk-11-jdk-headless (<< 11~18-2)
Description: OpenJDK Java runtime, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}.

Package: openjdk-11-jdk
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre (= ${binary:Version}),
  openjdk-11-jdk-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-11-demo, openjdk-11-source, visualvm
Provides: java-sdk, java2-sdk, java5-sdk, java6-sdk,
  java7-sdk, java8-sdk, java9-sdk, java10-sdk, java11-sdk,
  java-compiler
Conflicts: openjdk-11-jre-headless (<< 11~19-2)
Replaces: openjdk-11-jre-headless (<< 11~19-2)
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-11-jre
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
  ${xandsound:Depends}, ${dlopenjre:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
Suggests: ${pkg:pulseaudio}
Provides: java-runtime, java2-runtime,
  java5-runtime, java6-runtime,
  java7-runtime, java8-runtime,
  java9-runtime, java10-runtime,
  java11-runtime,
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}.

Package: openjdk-11-demo
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime

Package: openjdk-11-source
Architecture: all
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jdk (>= ${source:Version}),
  ${misc:Depends}
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.

Package: openjdk-11-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends}
Suggests: openjdk-11-jdk
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.

Package: openjdk-11-dbg
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Priority: optional
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
   ${misc:Depends}
Recommends: openjdk-11-jre (= ${binary:Version})
Suggests: openjdk-11-jdk (= ${binary:Version})
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.

Package: openjdk-11-jre-zero
Architecture: amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386
Multi-Arch: same
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Description: Alternative JVM for OpenJDK, using Zero
 The package provides an alternative runtime using the Zero VM. Built on
 architectures in addition to the Hotspot VM as a debugging aid for those
 architectures which don't have a Hotspot VM.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport LANG LC_ALL

dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')

# using brace expansion and substring replacements (${var:0:2}).
SHELL = /bin/bash

# use gnu time in verbose mode if available, otherwise default to the shell builtin
ifneq (,$(wildcard /usr/bin/time))
  TIME = /usr/bin/time -v
else
  TIME = time
endif

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_BUILD_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_ARCH)
DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

PATH := $(CURDIR)/bin:$(PATH)
export PATH

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
               elif dpkg-vendor --derives-from Debian; then echo Debian; \
               else echo Unknown; fi)
ifeq ($(distrel),n/a)
  distrel := sid
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)

hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386
# FIXME: use bootcycle builds for zero archs?
bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), amd64 i386),yes)
zbootcycle_build =
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
  bootcycle_build =
  zbootcycle_build =
endif

ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie Metamorphosis))
  is_default = no
else
  is_default = yes
endif

srcdir		= .
builddir	= build
zbuilddir	= build-zero

VENDOR		= openjdk
Vendor		= OpenJDK
TOP		= usr/lib/jvm
origin		= openjdk
basename	= openjdk-$(shortver)
ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
  priority	= $(if $(filter yes, $(is_default)),1111,1109)
  vm_name	= Hotspot JIT
else
  priority	= $(if $(filter yes, $(is_default)),1104,1103)
  vm_name	= Hotspot Zero
endif
jvmver		= 1.11.0
shortver	= 11
v_upstream	:= $(shell echo $(PKGVERSION) | sed 's/-[^-][^-]*$$//')
v_pkgrel	:= $(shell echo $(PKGVERSION) | sed 's/^.*-//')
# FIXME. currently v_upstream like 11~4
v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))
# that should be the package version ...

ifneq ($(PKGVERSION),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
endif

ifneq (,$(DEB_HOST_MULTIARCH))
  jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
  jdiralias	= java-$(jvmver)-$(origin)-$(DEB_HOST_ARCH)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
  commonbasedir	= $(basedir)
  etcdir	= etc/java-$(shortver)-$(origin)
else
  jdirname	= java-$(shortver)-$(origin)
  jdiralias	= java-$(jvmver)-$(origin)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
  etcdir	= etc/$(jdirname)
endif
security	= $(etcdir)/security
ifeq ($(bootcycle_build),yes)
  sdkimg	= bootcycle-build/images/jdk
  build_target	= bootcycle-images test-image
else
  sdkimg	= images/jdk
  build_target	= images test-image
endif
ifeq ($(zbootcycle_build),yes)
  zsdkimg	= bootcycle-build/images/jdk
  zbuild_target	= bootcycle-images test-image
else
  zsdkimg	= images/jdk
  zbuild_target	= images test-image
endif

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA=,
SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(filter $(DEB_HOST_ARCH), armel))
  #with_check = disabled running check on $(DEB_HOST_ARCH)
endif

with_docs = $(if $(findstring nodocs, $(DEB_BUILD_OPTIONS)),,yes)

with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)

arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32

jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
ifeq ($(DEB_HOST_ARCH),x32)
  jvmarch := x32
endif

default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)

any_archs = alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64

altzero_archs = $(hotspot_archs)
ifneq (,$(filter $(distrel),trusty))
  altzero_archs := $(filter-out arm64, $(hotspot_archs))
endif

ifneq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
  altzero_archs =
else ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
  alternate_vms += zero
  zero_dir = zero
endif

# needed for the jexec build
export DEBIAN_JDK_BASE_DIR := /$(basedir)

BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
			/usr/lib/jvm/java-9-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-10-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-11-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
		))))

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
  BUILDJDK_HOME = $(CURDIR)/$(builddir)/$(sdkimg)
else
  BUILDJDK_HOME = $(BOOTJDK_HOME)
endif

# for Hotspot: hotspot/make/linux/makefiles/vm.make
# Don't overwrite Hotspot opt level :
# -O3 is already default option for hotspot

# FIXME: ftbfs with -Werror=format-security
dpkg_buildflags_hs = \
	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations$(if $(filter $(DEB_HOST_ARCH), armel armhf), -fpermissive)"
# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
dpkg_buildflags_hs += \
	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions"
dpkg_buildflags_hs += dpkg-buildflags
export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS; $(dpkg_buildflags_hs) --get CPPFLAGS)
export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS) -Wno-deprecated-declarations
export EXTRA_LDFLAGS_HS  := $(shell $(dpkg_buildflags_hs) --get LDFLAGS)

dpkg_buildflags_zero = \
	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security -fstack-protector -fstack-protector-strong" \
	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security -fstack-protector -fstack-protector-strong" \
	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations"
# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
dpkg_buildflags_zero += \
	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions"
dpkg_buildflags_zero += dpkg-buildflags
export EXTRA_CPPFLAGS_ZERO := $(shell $(dpkg_buildflags_zero) --get CPPFLAGS)

=== debian/tests/control ===
Test-Command: debian/tests/jtreg-autopkgtest hotspot
Depends: openjdk-11-jdk, jtreg, dpkg-dev, gcc

Test-Command: debian/tests/jtreg-autopkgtest langtools
Depends: openjdk-11-jdk, jtreg, dpkg-dev, gcc

Test-Command: debian/tests/jtreg-autopkgtest jdk 
Depends: openjdk-11-jdk, jtreg, dpkg-dev, gcc, xfwm4, xvfb

## openjdk-11 11.0.3+7

=== debian/changelog ===
openjdk-11 (11.0.3+7-5) buster; urgency=medium

  * Team upload.
  * Upload 11.0.4+4+realy11.0.3+7-2 to buster t-p-u.

 -- tony mancill <tmancill@debian.org>  Sun, 16 Jun 2019 11:24:19 -0700

openjdk-11 (11.0.4+4+really11.0.3+7-2) unstable; urgency=medium

  * Team upload.
  * Refresh and rework the following patches to address FTBFS on i386:
    - hotspot-disable-exec-shield-workaround
    - workaround_expand_exec_shield_cs_limit 

 -- tony mancill <tmancill@debian.org>  Fri, 14 Jun 2019 12:28:25 -0700

openjdk-11 (11.0.4+4+really11.0.3+7-1) unstable; urgency=medium

  * Team upload.
  * Revert upstream sources to GA release 11.0.3+7.
  * Disable workaround_expand_exec_shield_cs_limit.diff and
    hotspot-disable-exec-shield-workaround.diff patches
  * No longer try to install jspawnhelper.

 -- tony mancill <tmancill@debian.org>  Mon, 10 Jun 2019 19:16:00 -0700

openjdk-11 (11.0.4+4-1) unstable; urgency=medium

  * OpenJDK 11.0.4+4 build (early access).
  * Configure with --with-version-pre='ea' for upstream tags which are
    not upstream releases (has to be set manually). Not enabled during
    the buster freeze.
  * Allow to skip the bootcycle build (DEB_BUILD_OPTIONS=nobootcycle).
  * Add a watch file (Paul Wise).
  * Print some information about the host configuration before starting
    the build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 May 2019 07:56:31 +0200

openjdk-11 (11.0.4+2-1) unstable; urgency=medium

  * OpenJDK 11.0.4+2 build.
  * Fix src.zip symlink. Closes: #928369.
  * Tighten dependency on ca-certificates-java. Closes: #914860.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 May 2019 17:42:59 +0200

openjdk-11 (11.0.4+1-1) unstable; urgency=medium

  * OpenJDK 11.0.4+1 build.

 -- Matthias Klose <doko@debian.org>  Sun, 05 May 2019 17:45:57 +0200

openjdk-11 (11.0.3+7-4) unstable; urgency=medium

  * Apply updates from jdk11u-dev:
    - 8218618: Program fails when using JDK addressed by UNC path and using
      Security Managerdefault tip.
    - 8221924: get(null) on single-entry unmodifiable Map returns null
      instead of throwing NPE.
  * Install jspawnhelper.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Apr 2019 10:13:49 +0200

openjdk-11 (11.0.3+7-3) unstable; urgency=medium

  * Add breaks to the openjdk-11-jre-headless package:
    - For unattended upgrades: jetty9, netbeans, tomcat8, visualvm.
    - For eclipse 3.8 removal: eclipse-platform. Closes: #925071.
    - For configuration with vendor flag: libreoffice-core.

  * Apply updates from jdk11u-dev, and remove locally applied patches:
    - 8206955: MethodHandleProxies.asInterfaceInstance does not support default
      methodsdefault tip.
    - 8221304: Problem list java/awt/FontMetrics/MaxAdvanceIsMax.java.
    - 8218854: FontMetrics.getMaxAdvance may be less than the maximum
      FontMetrics.charWidth.
    - 8214002: Cannot use italic font style if the font has embedded bitmap.
    - 8222522: Add configure options for Mac Bundle creation.
    - 8221880: Better customization for Windows RC properties FileDescription
      and ProductName.
    - 8222133: Add temporary exceptions for root certs that are due to expire
      soon.
    - 8222089: [TESTBUG] sun/security/lib/cacerts/VerifyCACerts.java fails due
      to cert within 90-day expiry window.
    - 8170494: JNI exception pending in PlainDatagramSocketImpl.c.
    - 8217879: hs_err should print more instructions in hex dump.
    - 8222410: java/nio/file/attribute/BasicFileAttributeView/UnixSocketFile
      hangs when "nc" does not accept "-U".
    - 8222397: x86_32 tests with UseSHA1Intrinsics SEGV due to garbled
      registers.
    - 8209914: javadoc search sometimes generates bad URIs.
    - 8218020: Fix version number in mesa.md 3rd party legal file.
    - 8188133: C2: Static field accesses in clinit can trigger
      deoptimizations.
    - 8215472: (zipfs) Cleanups in implementation classes of jdk.zipfs and
      tests.
    - 8211266: [TESTBUG] ZipFSTester.java failed intermittently in
      ZipFSTester.checkRead(): bound must be positive.
    - 8210899: (zipfs) ZipFileSystem.EntryOutputStreamCRC32 mistakenly set the
      crc32 value into size field.
    - 8217647: JFR: recordings on 32-bit systems unreadable.
    - 8216970: condy causes JVM crash.
    - 8222032: x86_32 fails with "wrong size of mach node" on AVX-512 machine.
    - 8221917: serviceability/sa/TestPrintMdo.java fails on 32-bit platforms.
    - 8220349: The fix done for JDK-8214253 have caused issues in JTree
      behaviour.
    - 8221833: Readability check in Symbol::is_valid not performed for some
      addresses.
    - 8220441: [PPC64] Clobber memory effect missing for memory barriers in
      atomics.
    - 8218991: s390: Add intrinsic for GHASH algorithm.
    - 8220625: tools/javac/classreader/8171132/BadConstantValue.java failed
      with "did not see expected error".

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Apr 2019 10:21:11 +0200

openjdk-11 (11.0.3+7-2) unstable; urgency=medium

  * Fix 8210739: Calling JSpinner's setFont with null throws
    NullPointerException.
  * Fix 8210483: AssertionError in DeferredAttr at setOverloadKind caused by
    JDK-8203679.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Apr 2019 04:54:26 +0200

openjdk-11 (11.0.3+7-1) unstable; urgency=high

  * OpenJDK 11.0.3+7 build.
    - Security fixes:
      - S8211936, CVE-2019-2602: Better String parsing.
      - S8218453, CVE-2019-2684: More dynamic RMI interactions.
      - S8219066, CVE-2019-2698: Fuzzing TrueType fonts: setCurrGlyphID().
  * Support using the Java ATK wrapper (Samuel Thibault). Closes: #900912.
    - patches/jaw-classpath.diff: Fix finding the Java ATK wrapper.
    - patches/jaw-optional.diff: Make failing to load the Java ATK wrapper
      non-fatal.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2019 04:16:16 +0200

openjdk-11 (11.0.3+5-1) unstable; urgency=medium

  * OpenJDK 11.0.3+5 build.


=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: openjdk-11
 Section: java
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
+Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@ubuntu.com>
-Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14),
+Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
-  sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
+  sharutils, gawk, cpio, pkg-config, procps, wdiff, time, fastjar (>= 2:0.96-0ubuntu2),
+  jtreg  <!nocheck>, testng  <!nocheck>,
+  xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
-  g++-6,
-  openjdk-10-jdk-headless | openjdk-11-jdk-headless,
+  g++-8 <!cross>,
+  openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libgtk-3-dev, libelf-dev, libfontconfig1-dev,
   libffi-dev,
-  zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,  
+  zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, 
   libnss3-dev (>= 2:3.17.1),
-  jtreg (>= 4.2-b10-1~), xvfb, xauth, xfonts-base, libgl1-mesa-dri [!x32], twm | metacity, twm | dbus-x11, x11-xkb-utils,
-  testng, time, openjdk-11-jdk-headless <cross>,
+  openjdk-11-jdk-headless <cross>,
 Build-Depends-Indep: graphviz, pandoc,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://openjdk.java.net/
-Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/openjdk11
-Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/openjdk11
+Vcs-Git: https://git.launchpad.net/~openjdk/ubuntu/+source/openjdk/+git/openjdk -b openjdk-11
+Vcs-Browser: https://code.launchpad.net/~openjdk/ubuntu/+source/openjdk/+git/openjdk/+ref/openjdk-11
 
 Package: openjdk-11-jdk-headless
 Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
@@ -58,7 +58,7 @@
   java9-runtime-headless, java10-runtime-headless,
   java11-runtime-headless,
   ${defaultvm:Provides}, ${jvm:Provides}
-Breaks: clojure1.8 (<= 1.8.0-7ubuntu1~)
+Breaks: ${jrehl:Breaks}
 Conflicts: oracle-java11-installer, openjdk-11-jdk-headless (<< 11~18-2)
 Replaces: openjdk-11-jdk-headless (<< 11~18-2)
 Description: OpenJDK Java runtime, using ${vm:Name} (headless)
@@ -91,7 +91,6 @@
   ${xandsound:Depends}, ${dlopenjre:Depends},
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
-Suggests: ${pkg:pulseaudio}
 Provides: java-runtime, java2-runtime,
   java5-runtime, java6-runtime,
   java7-runtime, java8-runtime,

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,10 @@
 multiarch_dir = /$(DEB_HOST_MULTIARCH)
 
 hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386
+jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc powerpcspe ppc64 sh4 x32
+#jtreg_archs	+= armel
+#jtreg_archs	+= mips mipsel mips64 mips64el
+
 # FIXME: use bootcycle builds for zero archs?
 bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
 bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), amd64 i386),yes)
@@ -55,12 +59,19 @@
   bootcycle_build =
   zbootcycle_build =
 endif
-
-ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie Metamorphosis))
+ifneq (,$(filter nobootcycle, $(DEB_BUILD_OPTIONS)))
+  bootcycle_build =
+  zbootcycle_build =
+endif
+
+ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
   is_default = no
 else
   is_default = yes
 endif
+
+# FIXME: change that after the buster freeze for ea builds
+is_upstream_release = yes
 
 srcdir		= .
 builddir	= build
@@ -80,16 +91,23 @@
 endif
 jvmver		= 1.11.0
 shortver	= 11
-v_upstream	:= $(shell echo $(PKGVERSION) | sed 's/-[^-][^-]*$$//')
+#v_upstream	:= $(shell echo $(PKGVERSION) | sed 's/-[^-][^-]*$$//')
+#v_pkgrel	:= $(shell echo $(PKGVERSION) | sed 's/^.*-//')
+v_upstream	:= 11.0.3+7
 v_pkgrel	:= $(shell echo $(PKGVERSION) | sed 's/^.*-//')
 # FIXME. currently v_upstream like 11~4
 v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
 v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))
+#v_upbase	:= $(word 1, $(subst ~, , $(v_upstream)))
+#v_upbuild	:= $(word 2, $(subst ~, , $(v_upstream)))
 # that should be the package version ...
 
-ifneq ($(PKGVERSION),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
-  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
-endif
+#ifneq ($(PKGVERSION),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
+#  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
+#endif
+#ifneq ($(PKGVERSION),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
+#  $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
+#endif
 
 ifneq (,$(DEB_HOST_MULTIARCH))
   jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
@@ -129,11 +147,12 @@
 endif
 
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
-ifneq (,$(filter $(DEB_HOST_ARCH), armel))
-  #with_check = disabled running check on $(DEB_HOST_ARCH)
-endif
-
-with_docs = $(if $(findstring nodocs, $(DEB_BUILD_OPTIONS)),,yes)
+# see Debian #920161
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
+  with_check = disabled running check on $(DEB_HOST_ARCH)
+endif
+
+with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
 
 with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)
 
@@ -165,7 +184,6 @@
 export DEBIAN_JDK_BASE_DIR := /$(basedir)
 
 BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
-			/usr/lib/jvm/java-9-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
 			/usr/lib/jvm/java-10-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
 			/usr/lib/jvm/java-11-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
 		))))
@@ -198,12 +216,3 @@
 
 dpkg_buildflags_zero = \
 	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security -fstack-protector -fstack-protector-strong" \
-	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security -fstack-protector -fstack-protector-strong" \
-	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
-	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations"
-# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
-dpkg_buildflags_zero += \
-	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
-	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions"
-dpkg_buildflags_zero += dpkg-buildflags
-export EXTRA_CPPFLAGS_ZERO := $(shell $(dpkg_buildflags_zero) --get CPPFLAGS)
